/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:36:28pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\greater\arcaneearrings.cs
Lines of code: 53

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class arcaneearrings : GoldEarrings
	{

		[Constructable]
		public arcaneearrings()
		{
			Hue = 0x556;
			Name = "Arcane Earrings";
			Attributes.LowerRegCost = 8;
			Attributes.DefendChance = 8;
			Attributes.EnhancePotions = 8;
			Attributes.BonusInt = 8;
			Attributes.LowerManaCost = 8;
			Attributes.BonusMana = 8;
			Attributes.SpellDamage = 8;
			
		}

		public arcaneearrings( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 2 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
			if(version<=1)
			{			
				Attributes.AttackChance = 0;
				Attributes.DefendChance = 0;		
				Attributes.BonusDex = 0;
				Attributes.BonusHits = 0;
				Attributes.BonusStam = 0;
				Attributes.BonusStr = 0;
				Attributes.LowerManaCost = 0;
				Attributes.CastSpeed=0;
				Attributes.NightSight=0;
				
				
				Attributes.LowerRegCost = 8;
				Attributes.DefendChance = 8;
				Attributes.EnhancePotions = 8;
				Attributes.BonusInt = 8;
				Attributes.LowerManaCost = 8;
				Attributes.BonusMana = 8;
				Attributes.SpellDamage = 8;				
			}
		}
	}
}